Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/tasks/Job.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/tasks/Job.java	(revision 1374)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/tasks/Job.java	(revision 1396)
@@ -1,9 +1,3 @@
 package schedframe.scheduling.tasks;
-
-
-import org.qcg.broker.schemas.resreqs.ParentType;
-import org.qcg.broker.schemas.resreqs.ResourceRequirements;
-import org.qcg.broker.schemas.resreqs.Workflow;
-import org.qcg.broker.schemas.resreqs.types.TaskStatesName;
 
 
@@ -15,7 +9,7 @@
 
 import org.joda.time.DateTime;
+import org.qcg.broker.schemas.resreqs.ResourceRequirements;
 
 import qcg.shared.constants.BrokerConstants;
-
 import schedframe.scheduling.WorkloadUnitHandler;
 import schedframe.scheduling.manager.tasks.JobRegistryImpl;
@@ -210,83 +204,3 @@
 	}
 	
-	private List<Task> getReadyTasks() throws NoSuchFieldException{
-		
-		List<Task> availableTasks = new ArrayList<Task>();
-		int size = tasks.size();
-		
-		for(int i = 0; i < size; i++){
-			int parCnt;
-			int previousTaskSucceedCnt = 0;
-			Task task = tasks.get(i);
-			if(task.getStatus() != (int)BrokerConstants.TASK_STATUS_UNSUBMITTED)
-				continue;
-			//the following procedure supports only one nested structure
-			Workflow w = task.getDescription().getWorkflow();
-			if (w == null){
-				availableTasks.add(task);
-				continue;
-			}
-			if(w.getAnd() != null) {
-				parCnt = w.getAnd().getParentOpTypeItemCount();
-				if(parCnt == 0){
-					availableTasks.add(task);
-				}else
-				{
-					for(int j = 0; j < parCnt; j++){
-						ParentType par = w.getAnd().getParentOpTypeItem(j).getParent();
-						if(par.getTriggerState().compareTo(TaskStatesName.FINISHED) == 0){
-							if(!getTask(par.getContent()).isFinished()){
-								break;
-							}
-						}
-						previousTaskSucceedCnt++;
-					}
-
-					if(previousTaskSucceedCnt == parCnt)
-						availableTasks.add(task);
-				}
-			} 
-			else if(w.getOr() != null) {
-				parCnt = w.getOr().getParentOpTypeItemCount();
-				if(parCnt == 0){
-					availableTasks.add(task);
-				}
-				else{
-					for(int j = 0; j < parCnt; j++){
-						ParentType par = w.getOr().getParentOpTypeItem(j).getParent();
-						if(par.getTriggerState().compareTo(TaskStatesName.FINISHED) == 0){
-							if(!getTask(par.getContent()).isFinished()){
-								continue;
-							}
-						}
-						previousTaskSucceedCnt++;
-					}
-
-					if(previousTaskSucceedCnt > 0)
-						availableTasks.add(task);
-				}
-			}
-			else {
-				parCnt = w.getParentCount();
-				if(parCnt == 0){
-					availableTasks.add(task);
-				}else{
-					for(int j = 0; j < parCnt; j++){
-						ParentType par = w.getParent(j);
-						if(par.getTriggerState().compareTo(TaskStatesName.FINISHED) == 0){
-							if(!getTask(par.getContent()).isFinished()){
-								continue;
-							}
-						}
-						previousTaskSucceedCnt++;
-					}
-
-					if(previousTaskSucceedCnt == parCnt)
-						availableTasks.add(task);
-				}
-			}
-		}		
-		return availableTasks;
-	}
-	
 }
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/ResourceItem.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/ResourceItem.java	(revision 1396)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/ResourceItem.java	(revision 1396)
@@ -0,0 +1,57 @@
+package schedframe.scheduling;
+
+import java.util.HashSet;
+import java.util.LinkedList;
+import java.util.List;
+import java.util.Map;
+import java.util.Set;
+
+import schedframe.resources.computing.ComputingResource;
+import schedframe.resources.units.ProcessingElements;
+import schedframe.resources.units.ResourceUnit;
+import schedframe.resources.units.ResourceUnitName;
+import schedframe.resources.units.StandardResourceUnitName;
+
+public class ResourceItem {
+
+	protected Map<ResourceUnitName, ResourceUnit> usedResources;
+	protected Set<String> visitedResources;
+
+	public ResourceItem(Map<ResourceUnitName, ResourceUnit> usedResources){
+		this.usedResources = usedResources;
+		this.visitedResources = new HashSet<String>();
+		saveResourceNames();
+	}
+	
+	public Map<ResourceUnitName, ResourceUnit> getResourceUnits(){
+		return usedResources;
+	}
+	
+	public Set<String> getResourceNames(){
+		return visitedResources;
+	}
+	
+	private void saveResourceNames(){
+		ProcessingElements pes = (ProcessingElements) usedResources.get(StandardResourceUnitName.PE);
+		for (ComputingResource resource : pes) {
+
+			LinkedList<ComputingResource> toExamine = new LinkedList<ComputingResource>();
+			toExamine.push(resource);
+
+			while (!toExamine.isEmpty()) {
+				ComputingResource compResource = toExamine.pop();
+				List<ComputingResource> resources = compResource.getChildren();
+				if(resources.isEmpty()){
+					if(!visitedResources.contains(compResource.getFullName())){
+						visitedResources.add(compResource.getFullName());
+					}
+				} else {
+					for (int i = 0; i < resources.size(); i++) {
+						ComputingResource resourceChild = resources.get(i);
+						toExamine.addLast(resourceChild);
+					}
+				}
+			}
+		}
+	}
+}
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/ModuleListImpl.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/ModuleListImpl.java	(revision 1396)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/ModuleListImpl.java	(revision 1396)
@@ -0,0 +1,58 @@
+package schedframe.scheduling.plugin;
+
+import java.util.ArrayList;
+import java.util.List;
+
+/**
+ * 
+ * @author Marcin Krystek
+ *
+ */
+public class ModuleListImpl extends ArrayList<Module> implements ModuleList {
+
+	private static final long serialVersionUID = -3824600938144742457L;
+
+	public ModuleListImpl(){
+		super();
+	}
+	
+	public ModuleListImpl(int initialSize){
+		super(initialSize);
+	}
+	
+	public List<Module> get(ModuleType type){
+		List<Module> list = null;
+		
+		for(int i = 0; i < size(); i++){
+			Module m = get(i);
+			if(m.getType() == type){
+				list = (list == null ? new ArrayList<Module>(1) : list);
+				list.add(m);
+			}
+		}
+		return list;
+	}
+	
+	public Module getModule(ModuleType type){
+		
+		for(int i = 0; i < size(); i++){
+			Module m = get(i);
+			if(m.getType() == type){
+				return m;
+			}
+		}
+		return null;
+	}
+	
+	public boolean isModuleAvailable(ModuleType type){
+		for(int i = 0; i < size(); i++){
+			Module m = get(i);
+			if(m.getType() == type){
+				return true;
+			}
+		}
+		return false;
+	}
+	
+	
+}
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/SchedulingPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/SchedulingPlugin.java	(revision 516)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/SchedulingPlugin.java	(revision 1396)
@@ -7,5 +7,4 @@
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import schedframe.scheduling.plan.SchedulingPlanInterface;
-import schedframe.scheduling.plugin.grid.ModuleList;
 import schedframe.scheduling.queue.TaskQueueList;
 
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/Module.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/Module.java	(revision 1396)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/Module.java	(revision 1396)
@@ -0,0 +1,20 @@
+package schedframe.scheduling.plugin;
+
+import java.util.Properties;
+
+import schedframe.exceptions.ModuleException;
+
+/**
+ * 
+ * @author Marcin Krystek
+ *
+ */
+public interface Module {
+
+	public void init(Properties properties) throws ModuleException;
+	
+	public void dispose() throws ModuleException;
+	
+	public ModuleType getType();
+	
+}
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/grid/ResourceDiscovery.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/grid/ResourceDiscovery.java	(revision 477)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/grid/ResourceDiscovery.java	(revision 1396)
@@ -6,4 +6,5 @@
 import schedframe.scheduling.SchedulerDescription;
 import schedframe.scheduling.SecurityContext;
+import schedframe.scheduling.plugin.Module;
 import schedframe.scheduling.tasks.requirements.AbstractResourceRequirements;
 
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/grid/ModuleList.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/grid/ModuleList.java	(revision 477)
+++ 	(revision )
@@ -1,12 +1,0 @@
-package schedframe.scheduling.plugin.grid;
-
-import java.util.List;
-
-public interface ModuleList extends List<Module>{
-	
-	public <T extends Module> List<T> get(ModuleType type);
-	
-	public Module getModule(ModuleType type);
-	
-	public boolean isModuleAvailable(ModuleType type);
-}
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/grid/ModuleListImpl.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/grid/ModuleListImpl.java	(revision 477)
+++ 	(revision )
@@ -1,58 +1,0 @@
-package schedframe.scheduling.plugin.grid;
-
-import java.util.ArrayList;
-import java.util.List;
-
-/**
- * 
- * @author Marcin Krystek
- *
- */
-public class ModuleListImpl extends ArrayList<Module> implements ModuleList {
-
-	private static final long serialVersionUID = -3824600938144742457L;
-
-	public ModuleListImpl(){
-		super();
-	}
-	
-	public ModuleListImpl(int initialSize){
-		super(initialSize);
-	}
-	
-	public List<Module> get(ModuleType type){
-		List<Module> list = null;
-		
-		for(int i = 0; i < size(); i++){
-			Module m = get(i);
-			if(m.getType() == type){
-				list = (list == null ? new ArrayList<Module>(1) : list);
-				list.add(m);
-			}
-		}
-		return list;
-	}
-	
-	public Module getModule(ModuleType type){
-		
-		for(int i = 0; i < size(); i++){
-			Module m = get(i);
-			if(m.getType() == type){
-				return m;
-			}
-		}
-		return null;
-	}
-	
-	public boolean isModuleAvailable(ModuleType type){
-		for(int i = 0; i < size(); i++){
-			Module m = get(i);
-			if(m.getType() == type){
-				return true;
-			}
-		}
-		return false;
-	}
-	
-	
-}
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/grid/Module.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/grid/Module.java	(revision 477)
+++ 	(revision )
@@ -1,22 +1,0 @@
-package schedframe.scheduling.plugin.grid;
-
-import java.util.Properties;
-
-import eduni.simjava.Sim_event;
-
-import schedframe.exceptions.ModuleException;
-
-/**
- * 
- * @author Marcin Krystek
- *
- */
-public interface Module {
-
-	public void init(Properties properties) throws ModuleException;
-	
-	public void dispose() throws ModuleException;
-	
-	public ModuleType getType();
-	
-}
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/grid/ModuleType.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/grid/ModuleType.java	(revision 777)
+++ 	(revision )
@@ -1,36 +1,0 @@
-package schedframe.scheduling.plugin.grid;
-
-import schedframe.StaticResourceLoadCalendar;
-import test.EventManager;
-
-
-/**
- * 
- * @author Marcin Krystek
- *
- */
-public enum ModuleType {
-
-	RESOURCE_DISCOVERY("Resource_discovery", ResourceDiscovery.class),
-	RESOURCE_CALENDAR("Resource calendar", StaticResourceLoadCalendar.class),
-	EVENT_MANAGER("Event manager", EventManager.class);
-	//DATA_MANAGER("Data Manager", DataManager.class),
-	//AR_EXTENSION("ARExtension", ARExtension.class);
-
-	
-	private String name;
-	private Class<?> _interface;
-	
-	private ModuleType(String name, Class<?> _class){
-		this.name = name;
-		this._interface = _class;
-	}
-	
-	public String toString(){
-		return this.name;
-	}
-	
-	public boolean isValidFor(Module m){
-		return (m == null ? false : _interface.isAssignableFrom(m.getClass()));
-	}
-}
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/ModuleType.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/ModuleType.java	(revision 1396)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/ModuleType.java	(revision 1396)
@@ -0,0 +1,36 @@
+package schedframe.scheduling.plugin;
+
+
+import schedframe.scheduling.plugin.grid.ResourceDiscovery;
+import test.EventManager;
+
+
+/**
+ * 
+ * @author Marcin Krystek
+ *
+ */
+public enum ModuleType {
+
+	RESOURCE_DISCOVERY("Resource_discovery", ResourceDiscovery.class),
+	EVENT_MANAGER("Event manager", EventManager.class);
+	//DATA_MANAGER("Data Manager", DataManager.class),
+	//AR_EXTENSION("ARExtension", ARExtension.class);
+
+	
+	private String name;
+	private Class<?> _interface;
+	
+	private ModuleType(String name, Class<?> _class){
+		this.name = name;
+		this._interface = _class;
+	}
+	
+	public String toString(){
+		return this.name;
+	}
+	
+	public boolean isValidFor(Module m){
+		return (m == null ? false : _interface.isAssignableFrom(m.getClass()));
+	}
+}
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/local/LocalSchedulingPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/local/LocalSchedulingPlugin.java	(revision 515)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/local/LocalSchedulingPlugin.java	(revision 1396)
@@ -5,6 +5,6 @@
 import schedframe.scheduling.manager.resources.ResourceManager;
 import schedframe.scheduling.manager.tasks.JobRegistry;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.plugin.SchedulingPlugin;
-import schedframe.scheduling.plugin.grid.ModuleList;
 import schedframe.scheduling.queue.TaskQueueList;
 
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/ModuleList.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/ModuleList.java	(revision 1396)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/plugin/ModuleList.java	(revision 1396)
@@ -0,0 +1,12 @@
+package schedframe.scheduling.plugin;
+
+import java.util.List;
+
+public interface ModuleList extends List<Module>{
+	
+	public <T extends Module> List<T> get(ModuleType type);
+	
+	public Module getModule(ModuleType type);
+	
+	public boolean isModuleAvailable(ModuleType type);
+}
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/global/GridBroker.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/global/GridBroker.java	(revision 1385)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/global/GridBroker.java	(revision 1396)
@@ -12,7 +12,7 @@
 import schedframe.scheduling.Scheduler;
 import schedframe.scheduling.manager.resources.ManagedResources;
+import schedframe.scheduling.plugin.ModuleListImpl;
 import schedframe.scheduling.plugin.SchedulingPlugin;
 import schedframe.scheduling.plugin.estimation.ExecutionTimeEstimationPlugin;
-import schedframe.scheduling.plugin.grid.ModuleListImpl;
 import schedframe.scheduling.queue.TaskQueueList;
 
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/AbstractManagementSystem.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 1377)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 1396)
@@ -23,7 +23,7 @@
 import schedframe.scheduling.plan.AllocationInterface;
 import schedframe.scheduling.plan.SchedulingPlanInterface;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.plugin.SchedulingPlugin;
 import schedframe.scheduling.plugin.estimation.ExecutionTimeEstimationPlugin;
-import schedframe.scheduling.plugin.grid.ModuleList;
 import schedframe.scheduling.manager.resources.ResourceAllocation;
 import schedframe.scheduling.queue.TaskQueue;
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/local/LocalManagementSystem.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/local/LocalManagementSystem.java	(revision 1392)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/policy/local/LocalManagementSystem.java	(revision 1396)
@@ -4,8 +4,6 @@
 import java.util.HashMap;
 import java.util.Iterator;
-import java.util.LinkedList;
 import java.util.List;
 import java.util.Map;
-import java.util.Set;
 
 import org.apache.commons.logging.Log;
@@ -33,5 +31,5 @@
 import schedframe.resources.units.StandardResourceUnitName;
 import schedframe.scheduling.ExecutionHistoryItem;
-import schedframe.scheduling.ResourceHistoryItem;
+import schedframe.scheduling.ResourceItem;
 import schedframe.scheduling.Scheduler;
 import schedframe.scheduling.TaskList;
@@ -44,7 +42,7 @@
 import schedframe.scheduling.plan.ScheduledTaskInterface;
 import schedframe.scheduling.plan.SchedulingPlanInterface;
+import schedframe.scheduling.plugin.ModuleListImpl;
 import schedframe.scheduling.plugin.SchedulingPlugin;
 import schedframe.scheduling.plugin.estimation.ExecutionTimeEstimationPlugin;
-import schedframe.scheduling.plugin.grid.ModuleListImpl;
 import schedframe.scheduling.policy.AbstractManagementSystem;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -56,5 +54,5 @@
 import schedframe.scheduling.tasks.WorkloadUnit;
 import simulator.DCWormsConstants;
-import simulator.stats.GSSAccumulator;
+import simulator.stats.DCwormsAccumulator;
 import simulator.utils.DoubleMath;
 import dcworms.schedframe.scheduling.ExecTask;
@@ -382,5 +380,5 @@
 
 		saveExecutionHistory(exec, exec.getCompletionPercentage(), phaseDuration);
-		if(exec.getResourceConsumptionProfile().isLast()){
+		if(exec.getExecutionProfile().isLast()){
 			scheduler.sendInternal(phaseDuration, DCWormsTags.TASK_EXECUTION_FINISHED, execTask);;
 		} else {
@@ -451,5 +449,5 @@
 			ExecTask task = iter.next();
 			Executable exec = (Executable)task;
-			ExecutionHistoryItem execHistItem = exec.getExecHistory().getLast();
+			ExecutionHistoryItem execHistItem = exec.getExecutionHistory().getLast();
 			//System.out.println("--- upadteProgressX: " + Sim_system.sim_clock() );
 			//System.out.println("taskId: " + exec.getId() + "; completion percentage: " + exec.getCompletionPercentage() + "; timespan: " + timeSpan + "; estimatedDuration: " +  execHistItem.getCompletionPercentage());
@@ -496,5 +494,5 @@
 					execTask, choosenResources, exec.getCompletionPercentage())).intValue();
 
-			ExecutionHistoryItem execHistItem = exec.getExecHistory().getLast();
+			ExecutionHistoryItem execHistItem = exec.getExecutionHistory().getLast();
 			double lastTimeStamp = execHistItem.getTimeStamp().getMillis()/1000;
 			if(DoubleMath.subtract((lastTimeStamp + execHistItem.getEstimatedDuration()), (new DateTime().getMillis()/1000 + phaseDuration)) == 0.0){
@@ -508,5 +506,5 @@
 			saveExecutionHistory(exec, exec.getCompletionPercentage(), phaseDuration);
 			
-			if(exec.getResourceConsumptionProfile().isLast()){
+			if(exec.getExecutionProfile().isLast()){
 				ExecTaskFilter filter = new ExecTaskFilter(exec.getUniqueId(), DCWormsTags.TASK_EXECUTION_FINISHED);
 				scheduler.sim_cancel(filter, null);
@@ -542,5 +540,5 @@
 			saveExecutionHistory(exec, exec.getCompletionPercentage(), phaseDuration);
 			
-			if(exec.getResourceConsumptionProfile().isLast()){
+			if(exec.getExecutionProfile().isLast()){
 				scheduler.sendInternal(phaseDuration, DCWormsTags.TASK_EXECUTION_FINISHED, execTask);
 			} else {
@@ -555,5 +553,5 @@
 	public double calculateTotalLoad() {
 
-		GSSAccumulator loadAcc = new GSSAccumulator();
+		DCwormsAccumulator loadAcc = new DCwormsAccumulator();
 		try {
 			for(ComputingResource compRes: getResourceManager().getResourcesOfType(StandardResourceType.Node)){
@@ -718,7 +716,6 @@
 		boolean allocationStatus = getAllocationManager().allocateResources(choosenResources, exclusive);
 		if(allocationStatus){
-			ResourceHistoryItem resourceHistoryItem = new ResourceHistoryItem(choosenResources);
+			ResourceItem resourceHistoryItem = new ResourceItem(choosenResources);
 			exec.addAllocatedResources(resourceHistoryItem);
-			saveResourceHistory(exec);
 			return true;
 		}
@@ -726,28 +723,5 @@
 	}
 	
-	private void saveResourceHistory(Executable exec){
-		ProcessingElements pes = (ProcessingElements) exec.getAllocatedResources().getLast().getResourceUnits().get(StandardResourceUnitName.PE);
-		for (ComputingResource resource : pes) {
-
-			LinkedList<ComputingResource> toExamine = new LinkedList<ComputingResource>();
-			toExamine.push(resource);
-
-			while (!toExamine.isEmpty()) {
-				ComputingResource compResource = toExamine.pop();
-				List<ComputingResource> resources = compResource.getChildren();
-				if(resources.isEmpty()){
-					Set<String> visitedResources = exec.getAllocatedResources().getLast().getVisitedResources();
-					if(!visitedResources.contains(compResource.getFullName())){
-						exec.getAllocatedResources().getLast().trackResource(compResource.getFullName());
-					}
-				} else {
-					for (int i = 0; i < resources.size(); i++) {
-						ComputingResource resourceChild = resources.get(i);
-						toExamine.addLast(resourceChild);
-					}
-				}
-			}
-		}
-	}
+
 	
 }
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/GridResourceDiscovery.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/GridResourceDiscovery.java	(revision 493)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/GridResourceDiscovery.java	(revision 1396)
@@ -20,5 +20,5 @@
 import schedframe.resources.units.ResourceUnitName;
 import schedframe.scheduling.manager.resources.ResourceManager;
-import schedframe.scheduling.plugin.grid.ModuleType;
+import schedframe.scheduling.plugin.ModuleType;
 import schedframe.scheduling.plugin.grid.ResourceDiscovery;
 import schedframe.scheduling.tasks.requirements.AbstractResourceRequirements;
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/manager/tasks/JobRegistryImpl.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/manager/tasks/JobRegistryImpl.java	(revision 1362)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/manager/tasks/JobRegistryImpl.java	(revision 1396)
@@ -53,5 +53,5 @@
 			for (ExecTask task: executables) {
 				if (task.getStatus() == status) {
-					Set<String> visitedResource = task.getAllocatedResources().getLast().getVisitedResources();
+					Set<String> visitedResource = task.getAllocatedResources().getLast().getResourceNames();
 					for(String res: visitedResource){
 						if(res.contains(context)){
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/manager/resources/LocalResourceManager.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/manager/resources/LocalResourceManager.java	(revision 1392)
+++ DCWoRMS/branches/coolemall/src/schedframe/scheduling/manager/resources/LocalResourceManager.java	(revision 1396)
@@ -306,5 +306,5 @@
 			for(ResourceUnitName resUnitName: resources.keySet()){
 				ResourceUnit resUnit = resources.get(resUnitName);
-				if(resUnit.getName().getName().equals(StandardResourceUnitName.PE.getName())){
+				if(resUnit.getName().getLabel().equals(StandardResourceUnitName.PE.getLabel())){
 					ProcessingElements pe = (ProcessingElements)resUnit;
 					for(ComputingResource cr: pe){
Index: DCWoRMS/branches/coolemall/src/schedframe/scheduling/ResourceHistoryItem.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/scheduling/ResourceHistoryItem.java	(revision 1362)
+++ 	(revision )
@@ -1,32 +1,0 @@
-package schedframe.scheduling;
-
-import java.util.HashSet;
-import java.util.Map;
-import java.util.Set;
-
-import schedframe.resources.units.ResourceUnit;
-import schedframe.resources.units.ResourceUnitName;
-
-public class ResourceHistoryItem {
-
-	protected Map<ResourceUnitName, ResourceUnit> usedResources;
-	protected Set<String> visitedResources;
-
-	public ResourceHistoryItem(Map<ResourceUnitName, ResourceUnit> usedResources){
-		this.usedResources = usedResources;
-		this.visitedResources = new HashSet<String>();
-	}
-	
-	public Map<ResourceUnitName, ResourceUnit> getResourceUnits(){
-		return usedResources;
-	}
-	
-	public void trackResource(String resName){
-		visitedResources.add(resName);
-	}
-	
-	public Set<String> getVisitedResources(){
-		return visitedResources;
-	}
-	
-}
